<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
// padding
$padding       = array(
	'top'    => isset( $this->field_data->padding_top ) ? esc_attr( $this->field_data->padding_top ) : '',
	'right'  => isset( $this->field_data->padding_right ) ? esc_attr( $this->field_data->padding_right ) : '',
	'bottom' => isset( $this->field_data->padding_bottom ) ? esc_attr( $this->field_data->padding_bottom ) : '',
	'left'   => isset( $this->field_data->padding_left ) ? esc_attr( $this->field_data->padding_left ) : '',
);
$padding_value = implode(
	' ',
	array_map(
		function( $k, $v ) {
			$val = ! empty( $v ) ? $v : 0;

			return esc_attr( $val ) . esc_attr( $this->field_data->padding_type );
		},
		array_keys( $padding ),
		$padding
	)
);

// margin
$margin       = array(
	'top'    => isset( $this->field_data->margin_top ) ? esc_attr( $this->field_data->margin_top ) : '',
	'right'  => isset( $this->field_data->margin_right ) ? esc_attr( $this->field_data->margin_right ) : '',
	'bottom' => isset( $this->field_data->margin_bottom ) ? esc_attr( $this->field_data->margin_bottom ) : '',
	'left'   => isset( $this->field_data->margin_left ) ? esc_attr( $this->field_data->margin_left ) : '',
);
$margin_value = implode(
	' ',
	array_map(
		function( $k, $v ) {
			$val = ! empty( $v ) ? $v : 0;

			return esc_attr( $val ) . esc_attr( $this->field_data->margin_type );
		},
		array_keys( $margin ),
		$margin
	)
);

$style_atts = array(
	'font-size'  => isset( $this->field_data->size ) ? esc_attr( $this->field_data->size ) . 'px' : '',
	'color'      => isset( $this->field_data->color ) ? esc_attr( $this->field_data->color ) : '',
);
if ( ! empty( $margin_value ) ) {
	$style_atts['margin'] = esc_attr( $margin_value );
}
$style_atts = MZLDR_Helper::getCSSAttributes( $style_atts );
$inner_style_atts = array(
	'background' => isset( $this->field_data->background ) ? esc_attr( $this->field_data->background ) : ''
);
if ( ! empty( $padding_value ) ) {
	$inner_style_atts['padding'] = esc_attr( $padding_value );
}
$inner_style_atts = MZLDR_Helper::getCSSAttributes( $inner_style_atts );
?>
<div class="mazloader-item-text"<?php echo $style_atts; ?>><div <?php echo $inner_style_atts; ?>><?php echo esc_html( stripslashes( $this->field_data->text ) ); ?></div></div>
