<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
if ( empty( $loaders ) ) {
	return;
}
$preview = isset( $preview ) ? (bool) $preview : false;
?>
<?php include( MZLDR_PUBLIC_PATH . 'partials/wrapper/start.php' ); ?>
<?php
foreach ( $loaders as $loader ) {
	$loader_data = json_decode( $loader->data );
	$field_data        = isset($loader_data->data) && !empty($loader_data->data) ? $loader_data->data : array();
	$loader_settings   = isset( $loader_data->settings ) ? $loader_data->settings : '';
	$loader_appearance = isset( $loader_data->appearance ) ? $loader_data->appearance : '';

	$loader_style   = '';
	$loader_classes = '';

	$loader_appearance_to_parse = '';

	$has_bg_color = false;
	$has_bg_image = false;

	if ( ! empty( $loader_settings ) && ! empty( $loader_appearance ) ) {
		// Style
		$style_params = array();
		if ( isset( $loader_appearance->background_color ) && ! empty ( $loader_appearance->background_color ) ) {
			$has_bg_color = true;
			$style_params['background'] = esc_attr( $loader_appearance->background_color );
		}
		if ( isset( $loader_appearance->background ) && ! empty( $loader_appearance->background ) ) {
			$has_bg_image = true;
			$style_params['background'] = 'url(' . esc_url( $loader_appearance->background ) . ')';
		}
		if ($has_bg_color && $has_bg_image) {
			$style_params['background'] = 'url(' . esc_url( $loader_appearance->background ) . ') ' . esc_attr( $loader_appearance->background_color );
		}
		$loader_style = MZLDR_Helper::getCSSAttributes( $style_params );

		// Classes
		$loader_classes_items   = array();
		if (isset($loader_appearance->content_position)) {
			$loader_classes_items[] = 'position_' .  esc_attr( $loader_appearance->content_position );
		}
		if (isset($loader_appearance->background_image_type)) {
			$loader_classes_items[] = 'bg_img_type_' .  esc_attr( $loader_appearance->background_image_type );
		}
		if (isset($loader_appearance->background_image_position)) {
			$loader_classes_items[] = 'bg_img_position_' .  esc_attr( $loader_appearance->background_image_position );
		}
		if (isset($loader_appearance->items_side_by_side) && (boolean) $loader_appearance->items_side_by_side) {
			$loader_classes_items[] = 'item_pos_side_by_side';
		}
		// check if we have added delay, so we can add the `is-hidden` class to the loader
		if (isset($loader_settings->delay) && $loader_settings->delay > 0) {
			$loader_classes_items[] = 'is-hidden';
		}

		$loader_classes = ' ' . implode( ' ', $loader_classes_items );

		// Loader Appearance [data-*] attributes
		$loader_appearance_to_parse = array(
			'disable_page_scroll' => isset( $loader_appearance->disable_page_scroll ) && $loader_appearance->disable_page_scroll == 'on' ? true : false,
		);
	}

	$loader_settings_atts   = htmlspecialchars( json_encode( $loader_settings ) );
	$loader_appearance_atts = htmlspecialchars( json_encode( $loader_appearance_to_parse ) );
	?>
		<div
			id="mazloader-item-<?php echo esc_attr( $loader->id ); ?>"
			class="mazloader-item<?php echo esc_attr( $loader_classes ); ?>"
			data-settings="<?php echo $loader_settings_atts; ?>"
			data-appearance="<?php echo $loader_appearance_atts; ?>"
		<?php echo $loader_style; ?>
			>
		<?php
		foreach ( $field_data as $fd ) {
			$type       = ucfirst( $fd->type );
			$class_name = 'MZLDR_' . $type . '_Field';
			$field      = new $class_name( $fd );
			$field->render( $preview );
		}
		?>
		</div>
		<?php
}
?>
<?php include( MZLDR_PUBLIC_PATH . 'partials/wrapper/end.php' ); ?>
